net.minecraft.client.renderer.entity

## Class RenderEnchantmentTable

- java.lang.Object
- - net.minecraft.client.renderer.tileentity.TileEntitySpecialRenderer
  - - net.minecraft.client.renderer.entity.RenderEnchantmentTable

-     public class RenderEnchantmentTable
      extends TileEntitySpecialRenderer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenderEnchantmentTable()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `renderTileEntityAt(TileEntity par1TileEntity, double par2, double par4, double par6, float par8)`
    `void` | `renderTileEntityEnchantmentTableAt(TileEntityEnchantmentTable par1TileEntityEnchantmentTable, double par2, double par4, double par6, float par8)`

    - ### Methods inherited from class net.minecraft.client.renderer.tileentity.TileEntitySpecialRenderer

      `getFontRenderer, onWorldChange, setTileEntityRenderer`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RenderEnchantmentTable

          public RenderEnchantmentTable()

  - ### Method Detail

    - #### renderTileEntityEnchantmentTableAt

          public void renderTileEntityEnchantmentTableAt(TileEntityEnchantmentTable par1TileEntityEnchantmentTable,
                                                double par2,
                                                double par4,
                                                double par6,
                                                float par8)

    - #### renderTileEntityAt

          public void renderTileEntityAt(TileEntity par1TileEntity,
                                double par2,
                                double par4,
                                double par6,
                                float par8)

      Specified by:
        `renderTileEntityAt` in class `TileEntitySpecialRenderer`